[SCM] mate-desktop-environment Debian package branch, master, updated. 9f61b2f5464662dc39146bd023239a1ce7226b74
Mike Gabriel
sunweaver at moszumanska.debian.org
Sun May 11 12:18:04 UTC 2014
Gitweb-URL: http://git.debian.org/?p=pkg-mate/mate-desktop-environment.git;a=commitdiff;h=9f61b2f
The following commit has been merged in the master branch:
commit 9f61b2f5464662dc39146bd023239a1ce7226b74
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date: Sun May 11 14:16:17 2014 +0200
debian/mate-desktop-environment-core.postinst: Handle startup of gnome-keyring in MATE for Debian wheezy.
---
debian/mate-desktop-environment-core.postinst | 19 +++++++++++++++++++
1 file changed, 19 insertions(+)
diff --git a/debian/mate-desktop-environment-core.postinst b/debian/mate-desktop-environment-core.postinst
new file mode 100755
index 0000000..57c97fd
--- /dev/null
+++ b/debian/mate-desktop-environment-core.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ # For Debian jessie and beyond, gnome-keyring also starts in MATE desktop environments.
+ # For Debian wheezy, we ship our own .desktop files to start gnome-keyring
+ # Those we need to hard-remove if Debian wheezy is upgraded to jessie or later...
+ ls /etc/xdg/autostart/gnome-keyring-*.desktop | while read filename; do
+ if egrep "^OnlyShowIn=.*MATE;.*" "$filename" 1>/dev/null; then
+ rm -f "${filename/gnome-keyring-/mate-gnome-keyring-}"
+ else
+ cp "$filename" "${filename/gnome-keyring-/mate-gnome-keyring-}"
+ sed -i "${filename/gnome-keyring-/mate-gnome-keyring-}" -e "s/OnlyShowIn=.*/OnlyShowIn=MATE;"
+ fi
+ done
+fi
+
+#DEBHELPER#
--
mate-desktop-environment Debian package
More information about the pkg-mate-commits
mailing list